* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  overflow: hidden;
}
section {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background: linear-gradient(to bottom, #ff4f8b, #dff1ff);
}
section::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 50%;
  bottom: 0;
  z-index: 10;
  border-top: 1px solid rgba(255, 255, 255, 0.5);
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(10px);
}
section .color {
  position: absolute;
  filter: blur(150px);
}
section .color:nth-child(1) {
  top: -350px;
  background: #ff359b;
  width: 600px;
  height: 600px;
}
section .color:nth-child(2) {
  bottom: -150px;
  left: 100px;
  background: #fffd87;
  width: 500px;
  height: 500px;
}
section .color:nth-child(3) {
  bottom: -50px;
  right: 0px;
  background: #00d2ff;
  width: 300px;
  height: 300px;
}
ul {
  position: relative;
  display: flex;
}
ul li {
  position: relative;
  list-style: none;
  margin: 10px;
}
ul li a {
  position: relative;
  top: 0;
  width: 100px;
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-size: 2.5em;
  border: 1px solid rgba(255, 255, 255, 0.4);
  border-right: 1px solid rgba(255, 255, 255, 0.2);
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
  border-radius: 10px;
  background: rgb(255, 255, 255, 0.1);
  backdrop-filter: blur(4px);
  z-index: 1;
  box-shadow: 0 5px 45px rgba(0, 0, 0, 0.1);
  text-decoration: none;
  overflow: hidden;
  transition: top 0.5s, z-index 0s, transform 0.5s;
  transition-delay: 0.5s, 0.5s, 0s;
}
ul li a:hover {
  transition-delay: 0s, 0.5s, 0.5s;
  top: -50px;
  transform: translateY(50px);
  z-index: 11;
}
ul li a::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 50px;
  height: 100%;
  background: rgba(255, 255, 255, 0.5);
  transform: skewX(45deg) translateX(150px);
  transition: 0.5s;
}
ul li a:hover::before {
  transform: skewX(45deg) translateX(-150px);
}
